<?php
/**
 * @file
 * Settings page callback file for the cck_video module.
 */

/**
 * Menu callback;
 */
 
function cck_video_admin_settings() {
  $cck_video_player = variable_get('cck_video_player', 'JW Player');
  
  //Check if JW Player available
  $cck_video_jwplayer_path = variable_get('cck_video_jwplayer_path', 'sites/all/libraries/mediaplayer');
  
  if ($cck_video_player == 'JW Player' && !file_exists($cck_video_jwplayer_path . '/jwplayer.js')) {
    drupal_set_message(check_plain('Can not find: ' . $cck_video_jwplayer_path . '/jwplayer.js. You must upload JW Player libs to: ' . $cck_video_jwplayer_path, 'error'));
  }
  
  //Flowplayer 3 was inlcuded now
  
  $cck_video_swfobject_path = variable_get('cck_video_swfobject_path', 'sites/all/libraries/swfobject');
  
  if ($cck_video_player == 'swfobject' && !file_exists($cck_video_swfobject_path . '/swfobject.js')) {
    drupal_set_message(check_plain('Can not find: ' . $cck_video_swfobject_path . '/swfobject.js. You must upload this libs to: ' . $cck_video_swfobject_path, 'error'));
  }
  
  $form = array();
  // only administrators can access this function
  
  // Generate the form - settings applying to all patterns first
  $form['cck_video_settings'] = array(
    '#type' => 'fieldset',
    '#weight' => -30,
    '#title' => t('Player settings'),
    '#collapsible' => TRUE,
    '#collapsed' => FALSE    
  );
  
  $form['cck_video_settings']['cck_video_player'] = array(
    '#type' => 'select',
    '#title' => t('Player Name'),
    '#default_value' => variable_get('cck_video_player', 'JW Player'),
    '#options' => array('jwplayer' => 'JW Player', 'flowplayer' => 'Flowplayer', 
                  'swfobject' => 'SWFObject', 'swfobject1' => 'SWFObject 1'),
    '#description' => t('Some swf can not autoplay using new SWFObject, try SWFObject 1.')
  );
  
  $form['cck_video_settings']['cck_video_jwplayer_path'] = array(
    '#type' => 'textfield',
    '#title' => t('JW Player Path'),
    '#default_value' => variable_get('cck_video_jwplayer_path', 'sites/all/libraries/mediaplayer'),
    '#description' => t('Download JW Player from <a href="http://www.longtailvideo.com/players/jw-flv-player/">JW Player download</a> then upload to above path'),
  );

  $form['cck_video_settings']['cck_video_flowplayer_path'] = array(
    '#type' => 'textfield',
    '#disabled' => TRUE,
    '#title' => t('Flowplayer Path (textfield was disabled)'),
    '#value' => 'sites/all/modules/cck_video/player',
    '#description' => t('Due to jQuery 1.3 of Drupal 6, we can only use Flowplayer 3. To avoid Video broken then CCK Video 6.x now include Flowplayer 3 which uses: flowplayer-3.2.11.min.js and flowplayer-3.2.15.swf'),
  );
  
  $form['cck_video_settings']['cck_video_swfobject_path'] = array(
    '#type' => 'textfield',
    '#title' => t('SWFObject Path'),
    '#default_value' => variable_get('cck_video_swfobject_path', 'sites/all/libraries/swfobject'),
    '#description' => t('Download new SWFObject from http://code.google.com/p/swfobject/. Previous version, SWFObject 1 already included in this module.'),
  );
  
  $form['cck_video_ext'] = array(
    '#type' => 'fieldset',
    '#weight' => -20,
    '#title' => t('File extensions'),
    '#collapsible' => TRUE,
    '#collapsed' => FALSE    
  );
  
  $form['cck_video_ext']['cck_video_video_ext'] = array(
    '#type' => 'textfield',
    '#title' => t('Video Extension'),
    '#default_value' => variable_get('cck_video_video_ext', 'flv,swf,mp4,wmv'),
    '#description' => t('These extensions will use as video.'),
  );
  
  $form['cck_video_ext']['cck_video_image_ext'] = array(
    '#type' => 'textfield',
    '#title' => t('Image Extension'),
    '#default_value' => variable_get('cck_video_image_ext', 'jpg,bmp,png'),
    '#description' => t('These extensions will use html IMG tag instead. If file extension does not meet Video and Image extention then will be dispalayed as file link.'),
  );
  
  $form['cck_video_dimension'] = array(
    '#type' => 'fieldset',
    '#weight' => -10,
    '#title' => t('Viode File Dimension'),
    '#collapsible' => TRUE,
    '#collapsed' => FALSE    
  );
  
  $form['cck_video_dimension']['cck_video_width'] = array(
    '#type' => 'textfield',
    '#title' => t('Video Width'),
    '#default_value' => variable_get('cck_video_width', '570'),
    '#description' => t('Only affect to Video size. Image size still autosize,'),
  );
  
  $form['cck_video_dimension']['cck_video_height'] = array(
    '#type' => 'textfield',
    '#title' => t('Video Height'),
    '#default_value' => variable_get('cck_video_width', '334'),
    '#description' => t('Only affect to Video size. Image size still autosize,'),
  );
  
  return system_settings_form($form);
}

